function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = JQ_baseline.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(21, 33);
g1(1,7)=(-(params(2)/(1-y(11))));
g1(1,11)=(-(y(7)*params(2)/((1-y(11))*(1-y(11)))));
g1(1,12)=1;
g1(2,7)=(-1)/(y(7)*y(7));
g1(2,28)=(-(params(1)*(1+params(5))*y(14)*(-1)/(y(28)*y(28))));
g1(2,14)=(-(params(1)*(1+params(5))*1/y(28)));
g1(3,7)=(-1);
g1(3,3)=1;
g1(3,10)=(-(1/y(14)));
g1(3,11)=y(12);
g1(3,12)=y(11);
g1(3,13)=1;
g1(3,14)=T(14);
g1(4,6)=(-((1-(1+2*params(6)*(y(13)-params(7)))*y(15))*(1-params(4))/y(11)));
g1(4,11)=(-((-((1-(1+2*params(6)*(y(13)-params(7)))*y(15))*(1-params(4))*y(6)))/(y(11)*y(11))));
g1(4,12)=1;
g1(4,13)=(-(y(6)*(1-params(4))*(-(2*params(6)*y(15)))/y(11)));
g1(4,15)=(-(y(6)*(1-params(4))*(-(1+2*params(6)*(y(13)-params(7))))/y(11)));
g1(5,1)=(-(params(1)/y(7)));
g1(5,7)=(-((-(params(1)*y(1)))/(y(7)*y(7))));
g1(5,16)=1;
g1(6,27)=(-(y(31)*T(6)));
g1(6,8)=(-(y(31)*T(10)));
g1(6,13)=T(12);
g1(6,29)=(-(y(31)*T(13)));
g1(6,15)=(-y(18));
g1(6,30)=(-(y(31)*(-(params(4)*y(27)/y(8)))));
g1(6,31)=(-T(2));
g1(6,18)=(-y(15));
g1(7,13)=T(12);
g1(7,29)=(-((-(2*params(6)*y(14)*y(31)))/(T(1)*T(1))));
g1(7,14)=(-(y(31)/T(1)));
g1(7,15)=(-y(18));
g1(7,31)=(-(y(14)/T(1)));
g1(7,18)=(-y(15));
g1(8,6)=1;
g1(8,7)=(-1);
g1(8,2)=1-params(3);
g1(8,8)=(-1);
g1(8,13)=(-(params(6)*2*(y(13)-params(7))));
g1(9,6)=(-1);
g1(9,8)=y(18);
g1(9,10)=y(18)*(-(1/y(14)));
g1(9,14)=y(18)*T(14);
g1(9,18)=y(8)-y(10)/y(14);
g1(10,6)=1;
g1(10,2)=(-(T(5)*T(8)));
g1(10,11)=(-(T(4)*T(11)));
g1(10,17)=(-(T(3)*T(5)));
g1(11,2)=1-params(3);
g1(11,8)=(-1);
g1(11,9)=1;
g1(12,4)=(-(params(11)*1/y(4)));
g1(12,17)=1/y(17);
g1(12,33)=params(12);
g1(13,5)=(-(params(9)*1/y(5)));
g1(13,18)=1/y(18);
g1(13,32)=params(10);
g1(14,6)=(-(1/y(6)));
g1(14,19)=1;
g1(15,7)=(-(1/y(7)));
g1(15,20)=1;
g1(16,9)=(-(1/y(9)));
g1(16,21)=1;
g1(17,10)=(-(1/y(10)));
g1(17,22)=1;
g1(18,11)=(-(1/y(11)));
g1(18,23)=1;
g1(19,13)=(-(1/y(13)));
g1(19,24)=1;
g1(20,18)=(-(1/y(18)));
g1(20,25)=1;
g1(21,15)=(-(1/y(15)));
g1(21,26)=1;

end
