function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = JQ_baseline.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(21, 1);
lhs = y(12);
rhs = y(7)*params(2)/(1-y(11));
residual(1) = lhs - rhs;
lhs = 1/y(7);
rhs = params(1)*(1+params(5))*y(14)*1/y(28);
residual(2) = lhs - rhs;
lhs = y(13);
rhs = y(7)+y(10)/y(14)-y(12)*y(11)-y(3);
residual(3) = lhs - rhs;
lhs = y(12);
rhs = (1-(1+2*params(6)*(y(13)-params(7)))*y(15))*(1-params(4))*y(6)/y(11);
residual(4) = lhs - rhs;
lhs = y(16);
rhs = params(1)*y(1)/y(7);
residual(5) = lhs - rhs;
lhs = 1/(1+2*params(6)*(y(13)-params(7)))-y(15)*y(18);
rhs = y(31)*T(2);
residual(6) = lhs - rhs;
lhs = 1/(1+2*params(6)*(y(13)-params(7)))-y(15)*y(18);
rhs = y(14)*y(31)/T(1);
residual(7) = lhs - rhs;
lhs = y(6);
rhs = y(8)+y(7)+params(6)*(y(13)-params(7))^2-(1-params(3))*y(2);
residual(8) = lhs - rhs;
lhs = y(18)*(y(8)-y(10)/y(14));
rhs = y(6);
residual(9) = lhs - rhs;
lhs = y(6);
rhs = T(4)*T(5);
residual(10) = lhs - rhs;
lhs = y(9);
rhs = y(8)-(1-params(3))*y(2);
residual(11) = lhs - rhs;
lhs = log(y(17));
rhs = params(11)*log(y(4))-params(12)*x(it_, 2);
residual(12) = lhs - rhs;
lhs = log(y(18));
rhs = (1-params(9))*log(params(8))+params(9)*log(y(5))-params(10)*x(it_, 1);
residual(13) = lhs - rhs;
lhs = y(19);
rhs = log(y(6));
residual(14) = lhs - rhs;
lhs = y(20);
rhs = log(y(7));
residual(15) = lhs - rhs;
lhs = y(21);
rhs = log(y(9));
residual(16) = lhs - rhs;
lhs = y(22);
rhs = log(y(10));
residual(17) = lhs - rhs;
lhs = y(23);
rhs = log(y(11));
residual(18) = lhs - rhs;
lhs = y(24);
rhs = log(y(13));
residual(19) = lhs - rhs;
lhs = y(25);
rhs = log(y(18));
residual(20) = lhs - rhs;
lhs = y(26);
rhs = log(y(15));
residual(21) = lhs - rhs;

end
