function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = JQ_baseline.static_resid_tt(T, y, x, params);
end
residual = zeros(21, 1);
lhs = y(7);
rhs = y(2)*params(2)/(1-y(6));
residual(1) = lhs - rhs;
lhs = T(1);
rhs = T(1)*params(1)*(1+params(5))*y(9);
residual(2) = lhs - rhs;
lhs = y(8);
rhs = y(2)+y(5)/y(9)-y(7)*y(6)-y(5);
residual(3) = lhs - rhs;
lhs = y(7);
rhs = (1-T(2)*y(10))*(1-params(4))*y(1)/y(6);
residual(4) = lhs - rhs;
lhs = y(11);
rhs = params(1);
residual(5) = lhs - rhs;
lhs = 1/T(2)-y(10)*y(13);
rhs = y(11)*T(3);
residual(6) = lhs - rhs;
lhs = 1/T(2)-y(10)*y(13);
rhs = y(9)*y(11)/T(2);
residual(7) = lhs - rhs;
lhs = y(1);
rhs = y(3)+y(2)+params(6)*(y(8)-params(7))^2-(1-params(3))*y(3);
residual(8) = lhs - rhs;
lhs = y(13)*(y(3)-y(5)/y(9));
rhs = y(1);
residual(9) = lhs - rhs;
lhs = y(1);
rhs = T(5)*T(6);
residual(10) = lhs - rhs;
lhs = y(4);
rhs = y(3)-(1-params(3))*y(3);
residual(11) = lhs - rhs;
lhs = log(y(12));
rhs = log(y(12))*params(11)-params(12)*x(2);
residual(12) = lhs - rhs;
lhs = log(y(13));
rhs = (1-params(9))*log(params(8))+log(y(13))*params(9)-params(10)*x(1);
residual(13) = lhs - rhs;
lhs = y(14);
rhs = log(y(1));
residual(14) = lhs - rhs;
lhs = y(15);
rhs = log(y(2));
residual(15) = lhs - rhs;
lhs = y(16);
rhs = log(y(4));
residual(16) = lhs - rhs;
lhs = y(17);
rhs = log(y(5));
residual(17) = lhs - rhs;
lhs = y(18);
rhs = log(y(6));
residual(18) = lhs - rhs;
lhs = y(19);
rhs = log(y(8));
residual(19) = lhs - rhs;
lhs = y(20);
rhs = log(y(13));
residual(20) = lhs - rhs;
lhs = y(21);
rhs = log(y(10));
residual(21) = lhs - rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
